# $Revision: 1.14 $, $Date: 2012/02/11 20:30:16 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Compress-Lzop
Summary:	Modules to read/write lzop files/buffers
Summary(pl.UTF-8):	Moduły do odczytu/zapisu plików/buforów lzop
Name:		perl-IO-Compress-Lzop
Version:	2.048
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c7f39dff3f89faba0c271853616fa33e
URL:		http://search.cpan.org/dist/IO-Compress-Lzop/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Compress-LZO
BuildRequires:	perl-IO-Compress >= %{version}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Compress::Lzop and IO::Uncompress::UnLzop modules provide a Perl
interface that allows reading and writing lzop compressed data from/to
files or buffer.

%description -l pl.UTF-8
Moduły IO::Compress::Lzop i IO::Uncompress::UnLzop udostępniają
perlowy interfejs umożliwiający odczyt i zapis danych skompresowanych
algorytmem lzop z/do plików lub buforów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/Compress/Adapter/LZO.pm
%{perl_vendorlib}/IO/Compress/Lzop.pm
%{perl_vendorlib}/IO/Compress/Lzop
%{perl_vendorlib}/IO/Uncompress/Adapter/LZO.pm
%{perl_vendorlib}/IO/Uncompress/UnLzop.pm
%{_mandir}/man3/IO::Compress::Lzop.3pm*
%{_mandir}/man3/IO::Uncompress::UnLzop.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Compress-Lzop.spec,v $
Revision 1.14  2012/02/11 20:30:16  zbyniu
- up to 2.048

Revision 1.13  2012/01/17 14:51:05  qboosh
- uninified Source0 URL

Revision 1.12  2012/01/16 12:13:09  zbyniu
- release 2

Revision 1.11  2012/01/15 22:05:00  zbyniu
- up to 2.045

Revision 1.10  2011/03/06 06:11:41  qboosh
- updated to 2.033

Revision 1.9  2009/11/26 12:50:10  amateja
- updated to 2.023

Revision 1.8  2009/09/15 09:32:49  amateja
- updated to 2.021

Revision 1.7  2008/12/14 12:39:36  agaran
- up to 2.015

Revision 1.6  2007/12/19 16:36:00  zbyniu
- up to 2.008

Revision 1.5  2007-05-29 22:52:03  qboosh
- versioned IO::Compress::Base dep

Revision 1.4  2007/05/27 13:04:31  agaran
- up to 2.004, rel 1, builds here

Revision 1.3  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.2  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.1  2006/12/22 19:17:33  qboosh
- new
